from byu_pytest_utils import max_score, with_import


@max_score(1)
@with_import
def test_flatten_grid_one_row(flatten_grid):
    expected = [1, 2, 3, 4, 5, 6]
    observed = flatten_grid([[1, 2, 3, 4, 5, 6]])
    assert observed == expected


@max_score(2)
@with_import
def test_flatten_grid_two_rows(flatten_grid):
    expected = [3, 1, 4, 5, 9, 2]
    observed = flatten_grid([[3, 1, 4], [5, 9, 2]])
    assert observed == expected


@max_score(2)
@with_import
def test_flatten_grid_three_rows(flatten_grid):
    expected = [2, 7, 1, 8, 2, 8]
    observed = flatten_grid([[2, 7], [1, 8], [2, 8]])
    assert observed == expected
