from byu_pytest_utils import max_score, with_import


@max_score(1)
@with_import
def test_grid_compare_all_same(grid_compare):
    expected = [[True, True, True], [True, True, True]]
    observed = grid_compare([[1, 2, 3], [1, 2, 3]], [[1, 2, 3], [1, 2, 3]])
    assert observed == expected


@max_score(2)
@with_import
def test_grid_compare_all_different(grid_compare):
    expected = [[False, False], [False, False], [False, False]]
    observed = grid_compare([[1, 2], [3, 1], [2, 3]], [[4, 5], [6, 10], [11, 12]])
    assert observed == expected


@max_score(2)
@with_import
def test_grid_compare_mix(grid_compare):
    expected = [[True, False], [False, True]]
    observed = grid_compare([[12, 10], [3, 4]], [[12, 9], [4, 4]])
    assert observed == expected
