from byu_pytest_utils import max_score, with_import, test_files


@max_score(2)
@with_import
def test_load_regular_grid_jagged(load_regular_grid):
    expected = None
    observed = load_regular_grid(test_files / "jagged_grid.txt")
    assert observed == expected


@max_score(3)
@with_import
def test_load_regular_grid_normal(load_regular_grid):
    expected = [[1, 2, 3], [3, 1, 4], [2, 7, 6]]
    observed = load_regular_grid(test_files / "normal_grid.txt")
    assert observed == expected
