from byu_pytest_utils import max_score, with_import


@max_score(1)
@with_import
def test_reshape_grid_no_items(reshape_grid):
    expected = [[None, None, None], [None, None, None]]
    observed = reshape_grid([], 2, 3)
    assert observed == expected


@max_score(2)
@with_import
def test_reshape_grid_no_padding(reshape_grid):
    expected = [[1, 0], [0, 1]]
    observed = reshape_grid([1, 0, 0, 1], 2, 2)
    assert observed == expected


@max_score(2)
@with_import
def test_reshape_grid_with_padding(reshape_grid):
    expected = [[3, 1, 4],[1, 5, 9], [2, None, None]]
    observed = reshape_grid([3, 1, 4, 1, 5, 9, 2], 3, 3)
    assert observed == expected
