from byu_pytest_utils import max_score, with_import


@max_score(1)
@with_import
def test_transform_grid_empty_rows(transform_grid):
    expected = [[], [], []]
    observed = transform_grid([[], [], []], 3)
    assert observed == expected


@max_score(1)
@with_import
def test_transform_grid_empty(transform_grid):
    expected = [[]]
    observed = transform_grid([[]], 4)
    assert observed == expected


@max_score(3)
@with_import
def test_transform_grid_complex(transform_grid):
    expected = [[-2, 6, 4], [1, 5, 9], [2, 2, 3]]
    observed = transform_grid([[-10, -2, -4], [-7, -3, 1], [-6, -6, -5]], 8)
    assert observed == expected
